CC=bcc
LN=bcc

CC_OPTS= -c -mh -N -G -k-
LN_OPTS= -efixregbc -k- -mh
LIB=
OBJ=fixreg.obj vfm.obj lssch.obj standard.obj lesen.obj matrix.obj regstan.obj
HEAD=fixdefs.h fixglo.h

fixreg: $(OBJ) fixregbc.mak
        $(LN) $(LN_OPTS) $(OBJ) $(LIB)

fixreg.obj: fixreg.c vfm.h lssch.h standard.h lesen.h matrix.h regstan.h $(HEAD) fixregbc.mak
        $(CC) $(CC_OPTS) -Ddos fixreg.c

vfm.obj: vfm.c vfm.h $(HEAD) fixregbc.mak
        $(CC) $(CC_OPTS) vfm.c

lssch.obj: matrix.h matrix.obj lssch.c lssch.h $(HEAD) fixregbc.mak
        $(CC) $(CC_OPTS) lssch.c

regstan.obj: regstan.c regstan.h standard.obj standard.h $(HEAD) fixregbc.mak
        $(CC) $(CC_OPTS) regstan.c

standard.obj: standard.c standard.h $(HEAD) fixregbc.mak
        $(CC) $(CC_OPTS) standard.c

lesen.obj: lesen.c lesen.h $(HEAD) fixregbc.mak
        $(CC) $(CC_OPTS) lesen.c

matrix.obj: matrix.c matrix.h $(HEAD) fixregbc.mak
        $(CC) $(CC_OPTS) matrix.c
